#ifndef	EVAL_H
#define	EVAL_H

#include <v_lib.h>

#define	MAX_ID	256

typedef struct eval_state_s
{
	vboolean	custom_size;
	u32_t		target_width, target_height;
	vboolean	input_power2;
	vboolean	input_square;
} eval_state_t, *eval_state_p;

#define	STR_EQ(str1,str2)	(!strcasecmp((str1),(str2)))

void
matZeroRows(matrix_p m,u32_t row_start,u32_t row_end);

void
matZeroCols(matrix_p m,u32_t col_start,u32_t col_end);

void
vecRunningSum(vector_p dest,vector_p src);

void
vecLinSpaced(vector_p dest,vec_t min,vec_t max);

void
matScaleAdd(matrix_p dest,matrix_p src,vec_t scale,vec_t offset);

#endif /* EVAL_H */
